bifunctors-5.1: Bifunctors

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | non-portable
Safe Haskell | Safe
Language | Haskell98

Data.Bifunctor.Fix

Description

Synopsis

- newtype Fix p a = In {
  - out :: p (Fix p a) a
  }

# Documentation

newtype Fix p a Source

Greatest fixpoint of a `Bifunctor` (a `Functor` over the first argument with zipping).

Constructors

In |

Fields

out :: p (Fix p a) a

Instances

Bifunctor p => Functor (Fix p) Source |
Biapplicative p => Applicative (Fix p) Source |
Bifoldable p => Foldable (Fix p) Source |
Bitraversable p => Traversable (Fix p) Source |
Eq (p (Fix p a) a) => Eq (Fix p a) Source |
Ord (p (Fix p a) a) => Ord (Fix p a) Source |
Read (p (Fix p a) a) => Read (Fix p a) Source |
Show (p (Fix p a) a) => Show (Fix p a) Source |